// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Vendor
 *-----------------------------------------------------------------------------
 *
 * @Description              : Vendor的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
type Vendor struct {
	PlantNr        int             `xorm:"pk int 'PlantNr'" json:"LOG_Vendor-PlantNr"`
	VendorId       string          `xorm:"pk nvarchar(40) 'VendorId'" json:"LOG_Vendor-VendorId"`
	Descr          string          `xorm:"nvarchar(100) 'Descr' not null" json:"LOG_Vendor-Descr"`
	Address        string          `xorm:"nvarchar(100) 'Address' not null" json:"LOG_Vendor-Address"`
	VendorNr       int             `xorm:"int 'VendorNr' not null autoincr" json:"LOG_Vendor-VendorNr"`
	Name           string          `xorm:"nvarchar(100) 'Name' not null" json:"LOG_Vendor-Name"`
	Name1          string          `xorm:"nvarchar(100) 'Name1' not null" json:"LOG_Vendor-Name1"`
	Name2          string          `xorm:"nvarchar(100) 'Name2' not null" json:"LOG_Vendor-Name2"`
	ValidStartDate grmi.Date       `xorm:"date 'ValidStartDate' not null" json:"LOG_Vendor-ValidStartDate"`
	Country        string          `xorm:"nvarchar(100) 'Country' not null" json:"LOG_Vendor-Country"`
	City           string          `xorm:"nvarchar(100) 'City' not null" json:"LOG_Vendor-City"`
	District       string          `xorm:"nvarchar(100) 'District' not null" json:"LOG_Vendor-District"`
	Street         string          `xorm:"nvarchar(100) 'Street' not null" json:"LOG_Vendor-Street"`
	Location       string          `xorm:"nvarchar(100) 'Location' not null" json:"LOG_Vendor-Location"`
	PostCode       string          `xorm:"nvarchar(20) 'PostCode' not null" json:"LOG_Vendor-PostCode"`
	Phone          string          `xorm:"nvarchar(20) 'Phone' not null" json:"LOG_Vendor-Phone"`
	Mobile         string          `xorm:"nvarchar(20) 'Mobile' not null" json:"LOG_Vendor-Mobile"`
	Fax            string          `xorm:"nvarchar(20) 'Fax' not null" json:"LOG_Vendor-Fax"`
	Email1         string          `xorm:"nvarchar(40) 'Email1' not null" json:"LOG_Vendor-Email1"`
	Email2         string          `xorm:"nvarchar(40) 'Email2' not null" json:"LOG_Vendor-Email2"`
	ContactPerson  string          `xorm:"nvarchar(40) 'ContactPerson' not null" json:"LOG_Vendor-ContactPerson"`
	PersonTitle    string          `xorm:"nvarchar(40) 'PersonTitle' not null" json:"LOG_Vendor-PersonTitle"`
	ContactAddress string          `xorm:"nvarchar(100) 'ContactAddress' not null" json:"LOG_Vendor-ContactAddress"`
	Account        int             `xorm:"int 'Account' not null" json:"LOG_Vendor-Account"`
	TaxRate        string          `xorm:"nvarchar(20) 'TaxRate' not null" json:"LOG_Vendor-TaxRate"`
	Status         int             `xorm:"int 'Status' not null" json:"LOG_Vendor-Status"`
	Province       string          `xorm:"nvarchar(100) 'Province'" json:"LOG_Vendor-Province"`
	ProvinceCode   string          `xorm:"nvarchar(20) 'ProvinceCode'" json:"LOG_Vendor-ProvinceCode"`
	CityCode       string          `xorm:"nvarchar(20) 'CityCode'" json:"LOG_Vendor-CityCode"`
	DistrictCode   string          `xorm:"nvarchar(20) 'DistrictCode'" json:"LOG_Vendor-DistrictCode"`
	LastModify     grmi.DateTime   `xorm:"datetime 'LastModify' not null updated" json:"LOG_Vendor-LastModify"`
	LastUser       string          `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_Vendor-LastUser"`
	CreateTime     grmi.DateTime   `xorm:"datetime 'CreateTime' not null created" json:"LOG_Vendor-CreateTime"`
	UserList       []VendorUserLst `xorm:"-" json:"UserList"`
	ArtList        []VendorArtLst  `xorm:"-" json:"ArtList"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func (self *Vendor) GetKey() core.PK {
	return core.PK{self.PlantNr, self.VendorId}
}
